- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ProtocolMessageStore Class Reference

A concrete implementation of the ProtocolMessage interface that stores incoming messages in the message store. More...

`#include <gprotocolmessagestore.h>`

Inheritance diagram for GSmtp::ProtocolMessageStore:

## Public Member Functions
| ProtocolMessageStore (MessageStore &store, std::auto_ptr< Processor >)
| Constructor. More...
virtual | ~ProtocolMessageStore ()
| Destructor. More...
virtual G::Signal3< bool, unsigned long, std::string > & | doneSignal ()
| Final override from GSmtp::ProtocolMessage. More...
virtual void | reset ()
| Final override from GSmtp::ProtocolMessage. More...
virtual void | clear ()
| Final override from GSmtp::ProtocolMessage. More...
virtual bool | setFrom (const std::string &from_user)
| Final override from GSmtp::ProtocolMessage. More...
virtual bool | addTo (const std::string &to_user, VerifierStatus to_status)
| Final override from GSmtp::ProtocolMessage. More...
virtual void | addReceived (const std::string &)
| Final override from GSmtp::ProtocolMessage. More...
virtual bool | addText (const std::string &)
| Final override from GSmtp::ProtocolMessage. More...
virtual std::string | from () const
| Final override from GSmtp::ProtocolMessage. More...
virtual void | process (const std::string &auth_id, const std::string &peer_socket_address, const std::string &peer_socket_name, const std::string &peer_certificate)
| Final override from GSmtp::ProtocolMessage. More...
Public Member Functions inherited from GSmtp::ProtocolMessage
virtual | ~ProtocolMessage ()
| Destructor. More...

## Detailed Description

A concrete implementation of the ProtocolMessage interface that stores incoming messages in the message store.

See also
  GSmtp::ProtocolMessageForward

Definition at line 45 of file gprotocolmessagestore.h.

## Constructor & Destructor Documentation

GSmtp::ProtocolMessageStore::ProtocolMessageStore | ( | MessageStore & | store,
|  | std::auto_ptr< Processor > | processor
| ) |  |

Constructor.

Definition at line 30 of file gprotocolmessagestore.cpp.

References G::slot().

GSmtp::ProtocolMessageStore::~ProtocolMessageStore | ( |  | ) |
| virtual

Destructor.

Definition at line 37 of file gprotocolmessagestore.cpp.

## Member Function Documentation

void GSmtp::ProtocolMessageStore::addReceived | ( | const std::string & | received_line | ) |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 98 of file gprotocolmessagestore.cpp.

References G_DEBUG.

bool GSmtp::ProtocolMessageStore::addText | ( | const std::string & | line | ) |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 104 of file gprotocolmessagestore.cpp.

References G_ASSERT.

bool GSmtp::ProtocolMessageStore::addTo | ( | const std::string & | to_user,
|  | VerifierStatus | to_status
| ) |  |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 73 of file gprotocolmessagestore.cpp.

References GSmtp::VerifierStatus::address, G_ASSERT, G_DEBUG, G_WARNING, GSmtp::VerifierStatus::help, GSmtp::VerifierStatus::is_local, GSmtp::VerifierStatus::is_valid, and GSmtp::VerifierStatus::reason.

void GSmtp::ProtocolMessageStore::clear | ( |  | ) |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 48 of file gprotocolmessagestore.cpp.

References G_DEBUG.

G::Signal3< bool, unsigned long, std::string > & GSmtp::ProtocolMessageStore::doneSignal | ( |  | ) |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 183 of file gprotocolmessagestore.cpp.

std::string GSmtp::ProtocolMessageStore::from | ( |  | ) | const
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 112 of file gprotocolmessagestore.cpp.

void GSmtp::ProtocolMessageStore::process | ( | const std::string & | auth_id,
|  | const std::string & | peer_socket_address,
|  | const std::string & | peer_socket_name,
|  | const std::string & | peer_certificate
| ) |  |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 117 of file gprotocolmessagestore.cpp.

References G_ASSERT, and G_DEBUG.

void GSmtp::ProtocolMessageStore::reset | ( |  | ) |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 42 of file gprotocolmessagestore.cpp.

References G_DEBUG.

bool GSmtp::ProtocolMessageStore::setFrom | ( | const std::string & | from_user | ) |
| virtual

Final override from GSmtp::ProtocolMessage.

Implements GSmtp::ProtocolMessage.

Definition at line 56 of file gprotocolmessagestore.cpp.

References G_ASSERT, G_DEBUG, and G_WARNING.

The documentation for this class was generated from the following files:

- gprotocolmessagestore.h
- gprotocolmessagestore.cpp